Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418039 - Remove orphan large objects operation sometimes fails with relation "vacuum_l" already exists
Summary: Remove orphan large objects operation sometimes fails with relation "vacuum_l...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Database, Plugin - Postgres
Version: JON 3.3.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: CR02
: JON 3.3.8
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 16:48 UTC by Filip Brychta
Modified: 2017-03-30 14:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-30 14:22:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Filip Brychta 2017-01-31 16:48:08 UTC
Description of problem:
Newly introduced postgres plugin operation 'Remove orphan large objects' sometimes fails.

Version-Release number of selected component (if applicable):
JON3.3.8

How reproducible:
Sometimes

Steps to Reproduce:
1. navigate to rhq Postgres Server->rhq Database->Operations
2. schedule new Remove orphan large objects
3. repeat step 2 for several times

Actual results:
Operation fails with:
java.lang.Exception: ERROR: relation "vacuum_l" already exists

There is no exception in serve.log

Expected results:
Operation is successful

Comment 1 Michael Burman 2017-02-01 10:54:40 UTC
This appears to be some sort of undeterministic behavior of certain Postgres versions (found multiple occurences in the mailing lists). Fixed in the master:

commit a96f180a1f3db7c6595b6c57b2acd049512f9de6
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Feb 1 12:53:29 2017 +0200

    [BZ 1418039] Call the drop temp table in the end of the vacuumLo process

Comment 3 Simeon Pinder 2017-02-08 06:03:21 UTC
Moving to ON_QA as available for test with the latest build:

JON 3.3.8 CR01 artifacts are available for test from here:
http://download.eng.bos.redhat.com/brewroot/packages/org.jboss.on-jboss-on-parent/3.3.0.GA/114/maven/org/jboss/on/jon-server-patch/3.3.0.GA/jon-server-patch-3.3.0.GA.zip
 *Note: jon-server-patch-3.3.0.GA.zip maps to CR01 build of
 jon-server-3.3.0.GA-update-08.zip.

https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=537179

Comment 11 Simeon Pinder 2017-02-11 00:19:38 UTC
Moving to ON_QA as available for testing with the following build:
 http://download.eng.bos.redhat.com/brewroot/packages/org.jboss.on-jboss-on-parent/3.3.0.GA/117/maven/org/jboss/on/jon-server-patch/3.3.0.GA/jon-server-patch-3.3.0.GA.zip
 *Note: jon-server-patch-3.3.0.GA.zip maps to CR02 build of
 jon-server-3.3.0.GA-update-08.zip.


Note You need to log in before you can comment on or make changes to this bug.